MessagingConsumerServiceCallInterface (consumer-service 1.8.0-SNAPSHOT API)
Date: 2013-02-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.messaging.common.consumer.stubs.calls
Interface MessagingConsumerServiceCallInterface

All Known Implementing Classes:
  MessagingConsumerServiceCall

    public interface MessagingConsumerServiceCallInterface

Author:
  Andrea Manzi(CERN)

Method Summary
`void` | `backupAccountingDB()`
`void` | `backupMonitoringDB()` backup DB
`String` | `queryAccountingDB(String query)`
`String` | `queryMonitoringDB(String query)`
`String` | `querySystemAccountingDB(String query)`
`void` | `sendReport(String date, org.gcube.common.core.scope.GCUBEScope scope)`

Method Detail

### backupMonitoringDB

    void backupMonitoringDB()
                            throws Exception

  backup DB

  Throws:
    `Exception` - Exception

### backupAccountingDB

    void backupAccountingDB()
                            throws Exception

  Throws:
    `Exception` - Exception

### queryMonitoringDB

    String queryMonitoringDB(String query)
                             throws Exception

  Parameters:
    `query` - query
  Returns:
    results
  Throws:
    `Exception` - Exception

### queryAccountingDB

    String queryAccountingDB(String query)
                             throws Exception

  Parameters:
    `query` - query
  Returns:
    results
  Throws:
    `Exception` - Exception

### querySystemAccountingDB

    String querySystemAccountingDB(String query)
                                   throws Exception

  Parameters:
    `query` - query
  Returns:
    results
  Throws:
    `Exception` - Exception

### sendReport

    void sendReport(String date,
                    org.gcube.common.core.scope.GCUBEScope scope)
                    throws Exception

  Parameters:
    `date` - date
    `scope` - scope
  Throws:
    `Exception` - Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.